Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security
Interface SecurityAssertion

All Known Implementing Classes:
  IntegrityAssertion, IdentityAssertion, ConfidentialityAssertion

public interface SecurityAssertion

SecurityAssertion.java The SecurityAssertion interface marks classes being security assertions and provides simple type checking interface. SecurityAssertions represent the set of security claims that have been verified as result of some security processing. For example, a digital signature verified with x509 certificate will provide assertions about the integrity of the message and the identity of the sender. Created: Thu Aug 8 09:02:14 2002

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `CONFIDENTIALITY_ASSERTION`
`static int` | `CONFIDENTIALITY_CODE`
`static java.lang.String` | `IDENTITY_ASSERTION`
`static int` | `IDENTITY_CODE`
`static java.lang.String` | `INTEGRITY_ASSERTION`
`static int` | `INTEGRITY_CODE`
`static java.lang.String` | `TYPE_CONFIDENTIALITY_ASSERTION`
`static int` | `TYPE_CONFIDENTIALITY_CODE`
`static java.lang.String` | `TYPE_INTEGRITY_ASSERTION`
`static int` | `TYPE_INTEGRITY_CODE`

Method Summary
`java.lang.String` | `getAssertionType()` `getAssertionType` returns the type of the assertion (e.g.
`int` | `getAssertionTypeCode()` Returns an integer that uniquely identifies the type of assertion.
`boolean` | `isAssertionType(java.lang.String assertionType)` `isAssertionType` tests to see whether the type of the assertion matches the passed in type.
`boolean` | `repudiable()` `repudiable` returns repudiablility of an assertion -- i.e.

Field Detail

### IDENTITY_ASSERTION

    public static final java.lang.String IDENTITY_ASSERTION

### IDENTITY_CODE

    public static final int IDENTITY_CODE

### INTEGRITY_ASSERTION

    public static final java.lang.String INTEGRITY_ASSERTION

### INTEGRITY_CODE

    public static final int INTEGRITY_CODE

### TYPE_INTEGRITY_ASSERTION

    public static final java.lang.String TYPE_INTEGRITY_ASSERTION

### TYPE_INTEGRITY_CODE

    public static final int TYPE_INTEGRITY_CODE

### CONFIDENTIALITY_ASSERTION

    public static final java.lang.String CONFIDENTIALITY_ASSERTION

### CONFIDENTIALITY_CODE

    public static final int CONFIDENTIALITY_CODE

### TYPE_CONFIDENTIALITY_ASSERTION

    public static final java.lang.String TYPE_CONFIDENTIALITY_ASSERTION

### TYPE_CONFIDENTIALITY_CODE

    public static final int TYPE_CONFIDENTIALITY_CODE

Method Detail

### getAssertionType

    public java.lang.String getAssertionType()

  `getAssertionType` returns the type of the assertion (e.g. identity, integrity, confidentiality) as a string.

  Returns:
    a `String` value representing the assertion type

### getAssertionTypeCode

    public int getAssertionTypeCode()

  Returns an integer that uniquely identifies the type of assertion.

  Returns:

### isAssertionType

    public boolean isAssertionType(java.lang.String assertionType)

  `isAssertionType` tests to see whether the type of the assertion matches the passed in type.

  Parameters:
    `assertionType` - a `String` value
  Returns:
    a `boolean` value indicating the match result.

### repudiable

    public boolean repudiable()

  `repudiable` returns repudiablility of an assertion -- i.e. can the the creator reasonably deny that they performed the operation that backs this assertion. This is generally true for public/private key based operations where the operation is performed by the private key that is available only to a single individual or entity. True non-repudiation is only acheived in the context of solid practices (e.g. secure storage of keys, regular updates of revocation lists, certificate chain validation, etc.) and binding agreements between parties. This property indicates only that the backing operation supports non-repudiation.

  Returns:
    a `boolean` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD